Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ReportJobEditAction.ByteCollectionEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.CustomCollectionEditor
              com.jaspersoft.jasperserver.war.action.ReportJobEditAction.ByteCollectionEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

Enclosing class:
  ReportJobEditAction

    protected static class ReportJobEditAction.ByteCollectionEditor

extends org.springframework.beans.propertyeditors.CustomCollectionEditor

Constructor Summary
`ReportJobEditAction.ByteCollectionEditor(java.lang.Class collectionClass)`

Method Summary
`protected java.lang.Object` | `convertElement(java.lang.Object val)`

Methods inherited from class org.springframework.beans.propertyeditors.CustomCollectionEditor
`alwaysCreateNewCollection, createCollection, getAsText, setAsText, setValue`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobEditAction.ByteCollectionEditor

    public ReportJobEditAction.ByteCollectionEditor(java.lang.Class collectionClass)

Method Detail

### convertElement

    protected java.lang.Object convertElement(java.lang.Object val)

  Overrides:
    `convertElement` in class `org.springframework.beans.propertyeditors.CustomCollectionEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.